diff --git a/.idea/sonarlint/issuestore/index.pb b/.idea/sonarlint/issuestore/index.pb
index 4151132..b78331c 100644
--- a/.idea/sonarlint/issuestore/index.pb
+++ b/.idea/sonarlint/issuestore/index.pb
@@ -15,9 +15,13 @@ b
 2app/src/main/java/net/micode/notes/data/Notes.java,a\7\a7641cfac724321d508c2a284223a711011a93f5
 g
 7app/src/main/java/net/micode/notes/ui/NoteEditText.java,5\0\503adcf2a0be1ecdb94a15efba4433b6589877b9
+7
+gradlew,5\b\5bbfa66edb4db3c7c33c5181f43510990d3307f9
 @
 app/build.gradle,f\4\f4a01d6a4fcb971362ec00a83903fd3902f52164
 i
 9app/src/main/java/net/micode/notes/model/WorkingNote.java,8\7\876016634c6642b35109680ccac740dc8271b236
+<
+build.gradle,f\0\f07866736216be0ee2aba49e392191aeae700a35
 k
 ;app/src/main/java/net/micode/notes/ui/NoteEditActivity.java,5\7\577f30d26378ec8a2bd2e4a43f3c79b3f04c402c
\ No newline at end of file
diff --git a/.idea/sonarlint/securityhotspotstore/index.pb b/.idea/sonarlint/securityhotspotstore/index.pb
index e228a5b..c1e6026 100644
--- a/.idea/sonarlint/securityhotspotstore/index.pb
+++ b/.idea/sonarlint/securityhotspotstore/index.pb
@@ -15,9 +15,13 @@ b
 2app/src/main/java/net/micode/notes/data/Notes.java,a\7\a7641cfac724321d508c2a284223a711011a93f5
 g
 7app/src/main/java/net/micode/notes/ui/NoteEditText.java,5\0\503adcf2a0be1ecdb94a15efba4433b6589877b9
+7
+gradlew,5\b\5bbfa66edb4db3c7c33c5181f43510990d3307f9
 @
 app/build.gradle,f\4\f4a01d6a4fcb971362ec00a83903fd3902f52164
-k
-;app/src/main/java/net/micode/notes/ui/NoteEditActivity.java,5\7\577f30d26378ec8a2bd2e4a43f3c79b3f04c402c
 i
-9app/src/main/java/net/micode/notes/model/WorkingNote.java,8\7\876016634c6642b35109680ccac740dc8271b236
\ No newline at end of file
+9app/src/main/java/net/micode/notes/model/WorkingNote.java,8\7\876016634c6642b35109680ccac740dc8271b236
+<
+build.gradle,f\0\f07866736216be0ee2aba49e392191aeae700a35
+k
+;app/src/main/java/net/micode/notes/ui/NoteEditActivity.java,5\7\577f30d26378ec8a2bd2e4a43f3c79b3f04c402c
\ No newline at end of file
diff --git a/app/src/main/java/net/micode/notes/ui/NoteEditActivity.java b/app/src/main/java/net/micode/notes/ui/NoteEditActivity.java
index 8d9940b..075e3cd 100644
--- a/app/src/main/java/net/micode/notes/ui/NoteEditActivity.java
+++ b/app/src/main/java/net/micode/notes/ui/NoteEditActivity.java
@@ -1049,10 +1049,71 @@ public class NoteEditActivity extends Activity implements OnClickListener,
     private void showToast(int resId, int duration) {
         Toast.makeText(this, resId, duration).show();
     }
+    //-----------------------------------------------------------------------------------------//
     //-----------------------------------施-----工-----区---------------------------------------//
     //-----------------------------------------------------------------------------------------//
     //--------------------------------注-----意-----安-----全-----------------------------------//
     //-----------------------------------------------------------------------------------------//
+    //--------------------------更改请遵循636softwareDevGroup开发共识-----------------------------//
+    //-----------------------------------------------------------------------------------------//
+    //----------------------------Last---Change---2023---04---27-------------------------------//
+    //-----------------------------------------------------------------------------------------//
+    //----------------------------------By-K4sumizawaMiyU--------------------------------------//
+    //-----------------------------------------------------------------------------------------//
+    /*..........................................................................................................................
+
+                                                    ;-)||()-, .^^",,::::::::::::"`'^I<+__<;.
+                                                 :tYc/[+<>_tJJ{^^^``'''''''''''.ifLmOJvxnY0Q\"
+                                                ]d/,        .-OX^        .... ,XoC{I.     .ljb<
+                                               ?a_            .cpl"`    .^""^{#Z!            jo;
+                                            . "a)              .ZC          ?Bz.             ^#c .'.
+                                      .   .":._#:               +B}        IMv                Qq ."::^.  .^"`.
+                                   '":"  ':I^ 1k'               .kk'      'qJ                 QQ   .;I:'  '";;,'
+                                  ^;I,.  ,I,  }h`            ^i<.z@!      nk!;'              `a|    ";I"    :II,
+                                 .:II"  .:I,  c#"           ^[11"($1     "*([{],             }%>   .:;I^  ',;:,'
+                                  '";;^  ^I:+ZL+.           "__+^~@C-]?~>1#!<+_l             ?Qq).',I:^   '`..
+                ^,'                 .'.   `"n@}    .`:>_})\frxxrrr0qmZ0QQ0Qnxrjrxjt\([!^       Xw^,"'.
+               }cttl                  `'   .~Mzl-)txucccvuunnnnnnnrrrrrrrrrxxnnnnnuvvzXcj[:   [%[             ''
+               +?.^'    ,:`          ^;,`;(YCCUccvnnxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxnxxnvXz(<,!U*Zu-'        ^;;^
+      `"'             `/\+?!        ',!/CqZXuxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxcYcccczczCwY\"r#q*kn;     ';;;;`
+    '/n\}'            `}:  '        `fhkJnrxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxrXUt//fxxjtYYrzY)jYzJoMj`   `;;;I,
+    .)t..      `!+>:.         >]?, ;Z*UrrxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxcJr/fxnr//\QcxxnJx!nYrCMb?   '^^^.
+      `       'rY[??`         ?0C)+bkvjxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxCzjxrfuJLxtx0uxxxrYX:Curnw%X^
+              .}(.           .(LXvvcnLCxxxxxxxxxxxxxxUcxxxxxxxxxxxxxxxxxxxxxxxzb0mpnrvYOOYXuxxxxxrUrnzxxrJ8d!
+      ,~~l.                  ,cjnznttvmCvrxxxxxnnnnxLCnnnnxxxxxxxxxxxnnnnnxxxxxvYQUXXzvxnxxxxxxxxxrQZnxxxrc##>
+     !Y{>_"                  ;ctfjvujffu0Yzxxnj({{{Xn(\//ffjjjjjrjjjffftttfxxxxxxrxxvnxxxxxxxxxxxxxnzxxxxxrvMa:
+     Ix;                     'fxfffjjjttxZYxn\_~~<\j<~~++++_________+++++++}xxxxxxxxcCnxxxxxxxxxxxxxxxxxxxxrX@Y
+      ..                      vhcvnCJccvzvQLn)<~<}v+~~++++++++++++++++++~~+(xxxxxxxxxcCxxxxxxxxxxxxxxxxxxxxxrQ%>
+                             iWUrcccvnnUZuuuxr|(\L(~]]~~++++++++++~~~~+_?1fxxxxxxxxxxrYYxxxxxxxxxxxxxxxxxxxxxx#Y
+                             Jkrumvxxxr0XxxxxxnxJQjfZf[]-__++++_-?[}1|/fXJYzcvxxxxxxxxxLuxxxxxxxxxxxxxxxxxxxxrQ#,
+                            "M0jQCrxxxnmuxxxxxxxZXzmpxnxrjjffffjrxxnnnx0YucXYXZzxxxxxxxzJxxxxxxxxxxxxxnxxxxxxxv8]
+                            _BYnwnxxxxnmnxxxxxxumuvhCrxxxxxnnnxxxxxxxxn0CxxxrccXnxxxxxxxLuxxxxxxxxxxxxYYxxxxxxx*X
+                            /WxLLrxxxxnmuxxxxxxvqxcZUrxxxxxxxxxxxxxxxxucuvxxrC<\XxxxxxxxXUxxxxxxxxxxxxnQuxxxxxrpq
+                            XaxqvxxxxxndXrxxxxxzbvY/UxxxxxnxxxxxxxxxxxvntXxxXx.}JrxxxxxxvmxxxxxxxxxxxxxXJxxxxxrwd.
+                            OpcmxxxxxxnJCuxxxxrU\UC1nCzvrxmuxzxxxxxxxxY(uJXLY: }YjrrrrrrYncxxxxxxxxxxxxnLxxxxxrOa`
+                            mqLCrxxxxxxc]JxrxxxJ{(df?0QYzvq0npJxxxxxxuU-baa8dmmh#hbppwmwL|YjxxxxxxxxxxxxQYXcxxrJWI
+                            mpmcxxxxxxxY!toaMW&8%#$WM8B8&hJv\Crxuvvvvc~>LM*LXUb&&8$%#W8@$$*0nxxxxxxxxxxxC}<uCxxX8<
+                            mdwuxxxxxxx0Zm$@%*LczahkM\<>l:,^.^.`,;!>I` `JQY,  [QQO#U'":<O\CXnxxxxxxxxxxnv' ?qxrY8i
+                            wdwnxxxxxxxJ).v#Ou` 'fXXmj  ....'...... ...;Cnr)++|jruJJ.... "Xxxxxxxxxxxxxur !0XxrU&l
+                            wdwnxxxxxxxX} "Ocxt(\rxxnn'....'!^.........'!+_?{(|\//\{;:::^lXxxxxxxxxxxxxvu\QzrxrLM,        
+                            wdwnxxxxxxxY]^:-({}}]-_~i"'.................  `;;;;;;;;i><iI:~YxxxxxxxxxxxrY0zxxxxrOa`
+                            wqmcxxxxxxxJ_:I;;;;;;;;;I:'...................'`^^""""^i||,.`1YrxxxxxxxxxxuLxxxxxxr0o^
+                            wqCQjYCrxxxQ{..''```````''........,<~<,............     `;<\CmnL0rxxxxxxxuQcxxxxxxrL#"
+                            qpxqnLonxxxnJv1>,`          ......`"`"`       .'`^"I<[/vJ0ZOm00hZvcczzXYUCvxxxxxxxrJWI
+                           .kdjYZXb0nrxxxuXUYXJx/)[-+~>i!lIIlllIlii<+?{{))}}\YqqwO0QCCJJCQL0pJzzzzcvuxxxxxxxxxxX8~
+                           `ohrrJZqC0Xnnnxxrxndw0OOOZOOOZqqqU}+zjYqdqOu(L+.';_{(UpCJCCCCCJCJpUrxxxxxxxxxxxxxxxxc%_
+                           'aoxxrzqJnUJUJJCZQOmQJJJJJ0OObn{~+!.\x\ff/[_j{"!~+_1n0hCJCCCCCCCJpJxxxxxxxxxxxxxxxxxv%}
+                           .d#xxxxxnxxxxxxvbCCJJCCCJqwUYYJZct}-}Q\{}tQJ)?1)\YQQJXwhJCCCCCCCJdUxxxxxxxxxxxxxxxxxn8/
+                            wMxxxxxxxxxxxxvbCCCCCCCpQcXXXz00vcvrXr!{YCnrvYLqqYXXzvppJCCCCCCJbYxxxxxxxxxxxxxxxxxu%f
+                            0MxxxxxxxxxxxxcbCCCCCJq0tfncXXXUCXunOam#OzJQ0QCYccuxjfjkZJCCCCCJdcxxxxxxxxxxxxxxxxxv@f
+                            QWxxxxxxxxxxxxcdJCCCJZwffffffxuvX0wo0JpbJYXcuxrjjffffftvaLCCCCCCquxxxxxxxxxxxxxxxxxvBf
+                            Q%uxxxxxxxxxxxcdJCJJQbnfzC0LQOwwhoWq)hwYUx/tfffffffffff/ZdJCCCCCCxxxxxxxxxxxxxxxxxxn&/
+                            Q@cxxxxxxxxxxxzbCCLOZXtfffdWahkkbh&azBr_\CLfffffffffffftxkQLLCCCXxxxxxxxxxxxxxxnnnnX%_
+                            fn{xnnnxxxxxxxvmCCkzftfju0#akkkkk##cqon__-vqrfffffffffjj/1>1uYJLUnnnnnnnnnnnnnxj/([~+'
+                               :+{/jxxnnnnnJLCdYfjrJ0*)|XOwqZpp\OYU-??-Xvfjjjjft\)[>"   ."I><><+_--+~<>i!I:^.
+                                  .^,;l!><~+<!;<-?[[[Xn\|\\//Y\!,^::;;:'^Iii!l:"`.
+                                                      I~?][?<"
+工具简介*/
     // 数据流获取
     public String getDataColumn(Context context, Uri uri, String selection, String[] selectionArgs) {
         Cursor cursor = null;
